org.crosswire.bibledesktop.book.install

## Class InstallerFactoryComboBoxModel

- java.lang.Object
- - javax.swing.AbstractListModel
  - - org.crosswire.bibledesktop.book.install.InstallerFactoryComboBoxModel

- All Implemented Interfaces:
    Serializable, ComboBoxModel, ListModel

      public class InstallerFactoryComboBoxModel
      extends AbstractListModel
      implements ComboBoxModel

  A ComboBoxModel that displays all the known InstallerFactory names.
  Author:
    Joe Walker
  See Also:
    `for license details.`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private List<String>` | `names` The list of installer names
    `private Object` | `selection` The currently selected object
    `private static long` | `serialVersionUID` Serialization ID

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstallerFactoryComboBoxModel(org.crosswire.jsword.book.install.InstallManager imanager)` Simple ctor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getElementAt(int index)`
    `Object` | `getSelectedItem()`
    `int` | `getSize()`
    `void` | `setSelectedItem(Object selection)`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.ListModel

      `addListDataListener, removeListDataListener`

- - ### Field Detail

    - #### names

          private List<String> names

      The list of installer names

    - #### selection

          private Object selection

      The currently selected object

    - #### serialVersionUID

          private static final long serialVersionUID

      Serialization ID
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InstallerFactoryComboBoxModel

          public InstallerFactoryComboBoxModel(org.crosswire.jsword.book.install.InstallManager imanager)

      Simple ctor

  - ### Method Detail

    - #### getSelectedItem

          public Object getSelectedItem()

      Specified by:
        `getSelectedItem` in interface `ComboBoxModel`

    - #### setSelectedItem

          public void setSelectedItem(Object selection)

      Specified by:
        `setSelectedItem` in interface `ComboBoxModel`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `ListModel`

    - #### getElementAt

          public Object getElementAt(int index)

      Specified by:
        `getElementAt` in interface `ListModel`